Upgrade to Fedora 36 from Fedora 35 using DNF - Comment Page: 1

This is guide, howto upgrade Fedora 35 to Fedora 36 using DNF. This method works on desktop and server machines. You can also upgrade older Fedora installations (example Fedora 34/33/32) directly to Fedora 36. I have tested this method on several machines, but if you have problems, please let me know. Always remember backup, before upgrade! Check video version of guide: Watch More Videos and Subscribe toif-not-true-then-false.com Youtube Channel     1. Before Upgrade [inttf_post_ad1] 1.1 Backup Your Data Before doing anything, do full system backup or backup at least your important data: documents, pictures, videos, config files, log files, databases...

6 comments on “Upgrade to Fedora 36 from Fedora 35 using DNF - Comment Page: 1

    1. you s have used screen shots from your f34 to f35 upgrade.
      also why remove the kernel from the repos?
      these were not in the previous upgrade steps and you don’t mention why or whether you should restore them.
      abit of explanation woul dhelp a lot.

      Reply
    2. no group ‘arm-tools’ from environment ‘workstation-product-environment’

      no match for a group package:

      reiserfs-utils
      qgnomeplatform
      xorg-x11-drv-armsoc
      authselect-compat
      tlomt-junction-fonts
      drehatlas-warender-bibliothek-fonts
      culmus-shofar-fonts
      google-noto-sans-syriac-estrangela-fonts
      drehatlas-xaporho-fonts
      polarsys-b612-sans-fonts
      ubuntu-title-fontsgoogle-noto-sans-syriac-western-fonts

      kanjistrokeorders-fonts
      google-noto-sans-syriac-eastern-fonts
      yanone-tagesschrift-fonts
      vollkorn-fonts
      khmer-os-fasthad-fonts
      bcm283x-firmware
      google-noto-sans-tibetan-fonts

      Error: Issue 1: VirtualBox-6.1-6.1.34_150636_fedora33-2.x86_64 requires libvpx.so.6()(64bit), but none of the providing packages can be installed

      – libvpx-1.10.0-2.fc35.x86_64 does not belong to the distribution’s update repository – problem with installed VirtualBox-6.1-6.1.34_150636_fedora33-2.x86_64 package

      Issue 2: the sssd-idp-2.7.0-1.fc35.x86_64 package requires sssd-common = 2.7.0-1.fc35, but none of the providing packages can be installed – sssd-common-2.7.0-1.fc35.x86_64 does not belong to the distribution’s update repository – problem with installed sssd-idp-2.7.0-1.fc35.x86_64

      Issue 3: Python-srpm-macros-3.10-17.fc36.noarch package requires redhat-rpm-config >= 190, but none of the providing packages can be installed – problem with installed python-srpm-macros-3.10-11.fc35.noarch package – the redhat-rpm-config-212-1.fc36.noarch package requires kernel-srpm-macros >= 1.0-12, but none of the providing packages can be installed – redhat-rpm-config-199-1.fc35.noarch does not belong to the distribution’s update repository – python-srpm-macros-3.10-11.fc35.noarch does not belong to the distribution’s update repository – kernel-srpm-macros-1.0-14.fc36.noarch package filtered using exception filtering
      (try adding “–skip-broken” to skip the packages being removed)

      Reply
        • Hello ivan,

          I guess that this should be fixed already?

          Reply
    3. Thanks, JR. Upgraded 35 to 36.

      Reply

Leave a Reply

Your email address will not be published.

This site uses Akismet to reduce spam. Learn how your comment data is processed.

Exit mobile version
Close